POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "cce43599-e03b-4cd6-8a78-0394765973f8",
"program_id": "d4b961a4-6b08-416e-9cba-9658651fcf83",
"mediwave_program_step_type_id": "98392cb2-fb87-4515-8241-f8d770886dbd",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>cce43599-e03b-4cd6-8a78-0394765973f8</id> <mediwave_program_step_type_id>98392cb2-fb87-4515-8241-f8d770886dbd</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>d4b961a4-6b08-416e-9cba-9658651fcf83</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"f21dc009-287e-478c-aa79-a6dc3688f515"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">f21dc009-287e-478c-aa79-a6dc3688f515</guid>